MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions

# src/command.h File Reference

`#include "ack.h"`
`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Enumerations
enum | command_return { COMMAND_RETURN_ERROR = -1, COMMAND_RETURN_OK = 0, COMMAND_RETURN_KILL = 10, COMMAND_RETURN_CLOSE = 20 }
## Functions
void | command_init (void)
void | command_finish (void)
enum command_return | command_process (struct client *client, unsigned num, char *line)
void | command_success (struct client *client)

## Enumeration Type Documentation

enum command_return

Enumerator:

  COMMAND_RETURN_ERROR |
  COMMAND_RETURN_OK |
  COMMAND_RETURN_KILL |
  COMMAND_RETURN_CLOSE |

Definition at line 28 of file command.h.

## Function Documentation

void command_finish | ( | void |  | ) |

void command_init | ( | void |  | ) |

enum command_return command_process | ( | struct client * | client,
|  | unsigned | num,
|  | char * | line
| ) |  |

void command_success | ( | struct client * | client | ) |